package prt2.age.graph;

import java.io.Serializable;
import java.util.LinkedList;
import java.util.List;

/**
 *
 * @author trust56
 */
public class Graph<T, ConcreteNode extends Node<T>> implements Serializable {

    protected List<ConcreteNode> nodes;
    protected List<Arc<T, ConcreteNode>> arcs;
    protected boolean allowLoopArcs;

    public Graph() {
        nodes = new LinkedList<ConcreteNode>();
        arcs = new LinkedList<Arc<T, ConcreteNode>>();
        allowLoopArcs = true;
    }

    public void setAllowLoopArcs(boolean allowLoopArcs) {
        this.allowLoopArcs = allowLoopArcs;
    }
}
